# 填充API Key与Secret Key
import requests
import json
import pandas as pd
import re


# 获取百度token验证
def get_access_token():
    app_key = "0nbZsMNAWGCU7rLp6olAXVUG"
    app_secret = "gWgVIEMpf85npswY0XahUncx6aZGa8e3"
    url = f"https://aip.baidubce.com/oauth/2.0/token?client_id={app_key}&client_secret={app_secret}&grant_type=client_credentials"

    payload = json.dumps("")
    headers = {
        'Content-Type': 'application/json',
        'Accept': 'application/json'
    }
    response = requests.request("POST", url, headers=headers, data=payload)
    return response.json().get("access_token")


# 使用百度文心一言获取文本相识度
def CallResult(prompt):
    token = "24.b7829fa01d73e3a4187c73fe7e27316c.2592000.1696475561.282335-38769936"
    headers = {
        'Content-Type': 'application/json',
    }
    data = json.dumps({
        'temperature':      0.1,
        'top_p':            0.8,
        "penalty_score":    1.0,
        'messages': [
            {
                "role": "user",  # 提问者角色
                "content": prompt  # 提问内容
            }
        ],
    })
    # print("ChatGLM prompt:",prompt)
    # 调用api
    response = requests.post(f"https://aip.baidubce.com/rpc/2.0/ai_custom/v1/wenxinworkshop/chat/completions?access_token={token}",headers=headers,data=data)
    if response.status_code != 200:
      return 0, "查询结果错误"
    resp = response.json()
    print(f"查重结果: {resp['result']}")
    pattern = r"\d+\.?\d*"
    nums = re.findall(pattern, resp['result'])
    if len(nums) > 0:
        print("提取到的数字:", nums[0])
        n = float(nums[0])
        if n is None:
            return 0, ""
        # resp['result'] = str(resp['result']).replace("\n", " ")
        # prompt = prompt.replace("\n", " ")
        # with open('train.json', 'a') as file:
        #     file.write("{" + f""""content": "{prompt}","summary": "{resp['result']}" """ + "}\n")
        return n, resp['result']
    return 0, ""


# 整理百度返回的格式
def format_data(prompt, result):
    with open('train.json', 'w') as file:
        file.write(f"")
    return


if __name__ == '__main__':
    access_token = get_access_token()
    print(access_token)
    result = CallResult("告诉我下面两段话的重复率百分比是多少:1. 城市总体态势主要从平安指数、生态环保、实有人口、重点人员、重点场所、防灾防控、宏观经济、城市管理、城市监测、事件统计的角度，展示丽水各项城市指标的运行情况。2. 为实现各模块的数据数量、数据接入、历史分析以及部门工作的情况，需要将各模块情况接入分析形成督办驾驶舱。数字化生成：根据市委市政府领导关心的驾驶舱数据生成和展示相关的运行指标，利用数据可视化技术，通过数据驾驶舱方式集中展示，让领导通过一屏，即可清晰掌握驾驶舱数据指标生成相关的实时情况。数字化生成相关的数据指标主要包括接入驾驶舱预警指标、优质指标、专题页面总数、数据指标总数、涉及部门总数、自动化率、涉及接口总数、采用数据直报的指标总数、数据直报完成率、延迟率、整改率、接口故障率、当前接口故障数场景应用相关统计、接入业务系统相关统计、等30余个统计维度指标。数字化督办：根据城市管理指挥中心工作人员针对每日会商工作推进过程中关心的相关指标，利用数据可视化技术，通过数据驾驶舱方式集中展示，通过数字化督办驾驶舱即可清晰掌握每日会商的工作成效和部门工作情况，方便城市管理指挥中心完善和优化每日会商工作。指标主要包括会商需关注指标数、指标批示数、事项批示数、交办情况、督办情况、部门应急预案相关统计、数字化督办相关指标、带班领导会商次数、议题数等不少于10个统计维度指标。")
    print("回答结果:", result)
    # 使用正则表达式提取小数和整数
    # pattern = r"\d+\.?\d*"
    # nums = re.findall(pattern, result)
    # if len(nums) > 0:
    #     print("提取到的数字:", nums[0])
