# coding=utf-8
from flask import Flask, redirect, url_for, request
from flask import jsonify

import docx_extract
import mysql_pool
import main1

# import xm
# from xm import xsd

app = Flask(__name__)

# mysql = mysql_pool.ConnMysql()


# 返回excel的保存地址
@app.route('/check/duplicates/<projectId>')
def success(projectId):
    # file_type = request.args.get('fileType', 'excel')
    mysql=mysql_pool.ConnMysql()
    if int(projectId) == 0:
        data = mysql.sql_select_many("""select * from idc_project""")
    else:
        data = mysql.sql_select_many("""select * from idc_project where project_id=%s""" % projectId)
    print(data)
    data_list = []

    for ap in data:
        # if os.path.exists(ap.get("file_path")):
        data_list.append((ap.get("project_id"), ap.get("file_path"), ap.get("project_name")))

        # data_list.append((ap.get("project_id"), "C:/Users/PoffyZhang/Desktop/花园云（城市大脑）数字驾驶舱20230202.xls", ap.get("project_name")))
    mysql.release()
    # print(data_list)
    main1.project_check(data_list)
    return jsonify({"code": 0, "data": data})


# 自动提取docx内容
@app.route('/check/docx/save', methods=['POST'])
def docx_save():
    data = request.get_json()
    if data["file_path"] != "":
        docx_extract.read_docx(data["file_path"])
    return jsonify({"code": 0, "data": data})


# 去数据库idc_project里面拿数据，获取比如project_id=11,根据file_path地址拿到要开始处理的数据
if __name__ == '__main__':
    app.run(host="0.0.0.0", port=19099)
    # insert_history_data_total.update_desc()
    print("run server ...")
    # app.run(port=19097)
